orte/dps/orte_dps_open_close.c File Reference.TH "orte/dps/orte_dps_open_close.c" 3 "7 Dec 2005" "Version 0.1.1" "OpenMPI" \" -*- nroff -*-
.ad l
.nh
.SH NAME
orte/dps/orte_dps_open_close.c \- 
.SH SYNOPSIS
.br
.PP
\fC#include 'orte_config.h'\fP
.br
\fC#include 'include/orte_types.h'\fP
.br
\fC#include 'mca/base/mca_base_param.h'\fP
.br
\fC#include 'mca/errmgr/errmgr.h'\fP
.br
\fC#include 'mca/ns/ns.h'\fP
.br
\fC#include 'dps/dps_internal.h'\fP
.br

.SS "Defines"

.in +1c
.ti -1c
.RI "#define \fBORTE_DPS_TABLE_PAGE_SIZE\fP   10"
.br
.in -1c
.SS "Functions"

.in +1c
.ti -1c
.RI "static void \fBorte_buffer_construct\fP (\fBorte_buffer_t\fP *buffer)"
.br
.RI "\fIObject constructors, destructors, and instantiations. \fP"
.ti -1c
.RI "static void \fBorte_buffer_destruct\fP (\fBorte_buffer_t\fP *buffer)"
.br
.ti -1c
.RI "\fBOBJ_CLASS_INSTANCE\fP (\fBorte_buffer_t\fP, \fBopal_object_t\fP, orte_buffer_construct, orte_buffer_destruct)"
.br
.ti -1c
.RI "static void \fBorte_dps_type_info_construct\fP (\fBorte_dps_type_info_t\fP *obj)"
.br
.ti -1c
.RI "static void \fBorte_dps_type_info_destruct\fP (\fBorte_dps_type_info_t\fP *obj)"
.br
.ti -1c
.RI "\fBOBJ_CLASS_INSTANCE\fP (\fBorte_dps_type_info_t\fP, \fBopal_object_t\fP, orte_dps_type_info_construct, orte_dps_type_info_destruct)"
.br
.ti -1c
.RI "int \fBorte_dps_open\fP (void)"
.br
.RI "\fIDPS initialization function. \fP"
.ti -1c
.RI "int \fBorte_dps_close\fP (void)"
.br
.RI "\fIDPS finalize function. \fP"
.in -1c
.SS "Variables"

.in +1c
.ti -1c
.RI "bool \fBorte_dps_initialized\fP = false"
.br
.RI "\fIglobals \fP"
.ti -1c
.RI "bool \fBorte_dps_debug\fP = false"
.br
.ti -1c
.RI "int \fBorte_dps_verbose\fP = -1"
.br
.ti -1c
.RI "int \fBorte_dps_page_size\fP"
.br
.ti -1c
.RI "\fBorte_pointer_array_t\fP * \fBorte_dps_types\fP"
.br
.ti -1c
.RI "OMPI_DECLSPEC \fBorte_dps_t\fP \fBorte_dps\fP"
.br
.in -1c
.SH "Detailed Description"
.PP 

.SH "Function Documentation"
.PP 
.SS "int orte_dps_open (void)"
.PP
DPS initialization function. 
.PP
In dynamic libraries, declared objects and functions don't get loaded until called. We need to ensure that the orte_dps function structure gets loaded, so we provide an 'open' call that is executed as part of the program startup. 
.SH "Variable Documentation"
.PP 
.SS "OMPI_DECLSPEC \fBorte_dps_t\fP orte_dps"
.PP
\fBInitial value:\fP
.PP
.nf
 {
    orte_dps_pack,
    orte_dps_unpack,
    orte_dps_peek,
    orte_dps_unload,
    orte_dps_load,
    orte_dps_register,
    orte_dps_lookup_data_type
}
.fi
.SH "Author"
.PP 
Generated automatically by Doxygen for OpenMPI from the source code.
